task samtools {
    String base = basename(bam, ".sorted.bam")
    String docker
    String cluster

    command <<<
       mkdir hla_type
       ./arcasHLA extract ${sorted_bam} -o ${base}.extracted.fq.gz --paired -t 8 -v
       ./arcasHLA genotype ${bam}.extracted.1.fq.gz ${bam}.extracted.2.fq.gz hla_type/${base}.genotype.json
    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd 200 /cromwell_root/"
    }

    output {
      File extracted_1p = base + "extracted.1.fq.gz"
      File extracted_2p = base + "extracted.2.fq.gz"
      Array[File] hla_type = ["hla_type/${base}.genotype.json", "hla_type/${base}.genes.json", "hla_type/${base}.extract.log", "hla_type/${base}.genotype.log"]
    }

}

