task samtools {
    File sam
    String base = basename(sam, ".sam")
    String bam = base + ".bam"
    String sorted_bam = base + ".sorted.bam"
    String sorted_bam_index = base + ".sorted.bam.bai"
    String viral_samstats = base + ".viral.samstats"
    String docker
    String cluster

    command <<<
       set -o pipefail
       set -e
       /opt/conda/bin/samtools view -bS ${sam} > ${bam}
       /opt/conda/bin/samtools sort -m 1000000000 ${bam} -o ${sorted_bam}
       /opt/conda/bin/samtools index ${sorted_bam}
       /opt/conda/bin/samtools stats ${sorted_bam} > ${viral_samstats}
    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd 200 /cromwell_root/"
    }

    output {
      File out_bam = sorted_bam
      File out_bam_index = sorted_bam_index
      File out_viral_samstats = viral_samstats
    }

}

