import "./tasks/hisat2.wdl" as hisat2
import "./tasks/samtools.wdl" as samtools
import "./tasks/stringtie.wdl" as stringtie

workflow {{ project_name }} {

	File read1
	File read2
        File idx
	String idx_prefix
        File gtf
	
	
	call hisat2.hisat2 as hisat2 {
		input: idx=idx, idx_prefix=idx_prefix, read_1P=read1, read_2P=read2
	}

        call samtools.samtools as samtools {
               input: sam = hisat2.sam
	}

        call stringtie.stringtie as stringtie {
              input: gtf = gtf, bam = samtools.out_bam
	}
        
	
}


